{
  "type" : "record",
  "name" : "Sample",
  "namespace" : "org.gel.models.participant.avro",
  "fields" : [ {
    "name" : "sampleId",
    "type" : "string",
    "doc" : "Sample Id (e.g, LP00012645_5GH))"
  }, {
    "name" : "labSampleId",
    "type" : "int",
    "doc" : "Lab Sample Id"
  }, {
    "name" : "source",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "SampleSource",
      "doc" : "The source of the sample",
      "symbols" : [ "TUMOUR", "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS", "BONE_MARROW_ASPIRATE_TUMOUR_CELLS", "BLOOD", "SALIVA", "FIBROBLAST", "TISSUE" ]
    } ],
    "doc" : "Source"
  }, {
    "name" : "product",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "Product",
      "symbols" : [ "DNA", "RNA" ]
    } ],
    "doc" : "Product"
  }, {
    "name" : "preparationMethod",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "PreparationMethod",
      "symbols" : [ "EDTA", "ORAGENE", "FF", "FFPE", "CD128_SORTED_CELLS", "ASPIRATE" ]
    } ],
    "doc" : "preparationMethod"
  } ]
}
